package system

import (
	"kra/internal/server/middleware"

	"github.com/gin-gonic/gin"
)

type ParamsRouter struct{}

func (r *ParamsRouter) InitParamsRouter(Router *gin.RouterGroup) {
	paramsRouter := Router.Group("sysParams").Use(middleware.OperationRecordMiddleware())
	paramsRouterWithoutRecord := Router.Group("sysParams")
	{
		paramsRouter.POST("createSysParams", paramsApi.CreateSysParams)
		paramsRouter.DELETE("deleteSysParams", paramsApi.DeleteSysParams)
		paramsRouter.DELETE("deleteSysParamsByIds", paramsApi.DeleteSysParamsByIds)
		paramsRouter.PUT("updateSysParams", paramsApi.UpdateSysParams)
	}
	{
		paramsRouterWithoutRecord.GET("findSysParams", paramsApi.FindSysParams)
		paramsRouterWithoutRecord.GET("getSysParamsList", paramsApi.GetSysParamsList)
		paramsRouterWithoutRecord.GET("getSysParam", paramsApi.GetSysParams)
	}
}
